import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface BranchProtectionV3Config extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#branch BranchProtectionV3#branch}.
     *
     * @stability stable
     */
    readonly branch: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#enforce_admins BranchProtectionV3#enforce_admins}.
     *
     * @stability stable
     */
    readonly enforceAdmins?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#repository BranchProtectionV3#repository}.
     *
     * @stability stable
     */
    readonly repository: string;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#require_signed_commits BranchProtectionV3#require_signed_commits}.
     *
     * @stability stable
     */
    readonly requireSignedCommits?: boolean | cdktf.IResolvable;
    /**
     * required_pull_request_reviews block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#required_pull_request_reviews BranchProtectionV3#required_pull_request_reviews}
     *
     * @stability stable
     */
    readonly requiredPullRequestReviews?: BranchProtectionV3RequiredPullRequestReviews;
    /**
     * required_status_checks block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#required_status_checks BranchProtectionV3#required_status_checks}
     *
     * @stability stable
     */
    readonly requiredStatusChecks?: BranchProtectionV3RequiredStatusChecks;
    /**
     * restrictions block.
     *
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#restrictions BranchProtectionV3#restrictions}
     *
     * @stability stable
     */
    readonly restrictions?: BranchProtectionV3Restrictions;
}
/**
 * @stability stable
 */
export interface BranchProtectionV3RequiredPullRequestReviews {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#dismiss_stale_reviews BranchProtectionV3#dismiss_stale_reviews}.
     *
     * @stability stable
     */
    readonly dismissStaleReviews?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#dismissal_teams BranchProtectionV3#dismissal_teams}.
     *
     * @stability stable
     */
    readonly dismissalTeams?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#dismissal_users BranchProtectionV3#dismissal_users}.
     *
     * @stability stable
     */
    readonly dismissalUsers?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#include_admins BranchProtectionV3#include_admins}.
     *
     * @stability stable
     */
    readonly includeAdmins?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#require_code_owner_reviews BranchProtectionV3#require_code_owner_reviews}.
     *
     * @stability stable
     */
    readonly requireCodeOwnerReviews?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#required_approving_review_count BranchProtectionV3#required_approving_review_count}.
     *
     * @stability stable
     */
    readonly requiredApprovingReviewCount?: number;
}
/**
 * @stability stable
 */
export declare class BranchProtectionV3RequiredPullRequestReviewsOutputReference extends cdktf.ComplexObject {
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    private _dismissStaleReviews?;
    /**
     * @stability stable
     */
    get dismissStaleReviews(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    set dismissStaleReviews(value: boolean | cdktf.IResolvable | undefined);
    /**
     * @stability stable
     */
    resetDismissStaleReviews(): void;
    /**
     * @stability stable
     */
    get dismissStaleReviewsInput(): boolean | cdktf.IResolvable | undefined;
    private _dismissalTeams?;
    /**
     * @stability stable
     */
    get dismissalTeams(): string[] | undefined;
    /**
     * @stability stable
     */
    set dismissalTeams(value: string[] | undefined);
    /**
     * @stability stable
     */
    resetDismissalTeams(): void;
    /**
     * @stability stable
     */
    get dismissalTeamsInput(): string[] | undefined;
    private _dismissalUsers?;
    /**
     * @stability stable
     */
    get dismissalUsers(): string[] | undefined;
    /**
     * @stability stable
     */
    set dismissalUsers(value: string[] | undefined);
    /**
     * @stability stable
     */
    resetDismissalUsers(): void;
    /**
     * @stability stable
     */
    get dismissalUsersInput(): string[] | undefined;
    private _includeAdmins?;
    /**
     * @stability stable
     */
    get includeAdmins(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    set includeAdmins(value: boolean | cdktf.IResolvable | undefined);
    /**
     * @stability stable
     */
    resetIncludeAdmins(): void;
    /**
     * @stability stable
     */
    get includeAdminsInput(): boolean | cdktf.IResolvable | undefined;
    private _requireCodeOwnerReviews?;
    /**
     * @stability stable
     */
    get requireCodeOwnerReviews(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    set requireCodeOwnerReviews(value: boolean | cdktf.IResolvable | undefined);
    /**
     * @stability stable
     */
    resetRequireCodeOwnerReviews(): void;
    /**
     * @stability stable
     */
    get requireCodeOwnerReviewsInput(): boolean | cdktf.IResolvable | undefined;
    private _requiredApprovingReviewCount?;
    /**
     * @stability stable
     */
    get requiredApprovingReviewCount(): number | undefined;
    /**
     * @stability stable
     */
    set requiredApprovingReviewCount(value: number | undefined);
    /**
     * @stability stable
     */
    resetRequiredApprovingReviewCount(): void;
    /**
     * @stability stable
     */
    get requiredApprovingReviewCountInput(): number | undefined;
}
/**
 * @stability stable
 */
export interface BranchProtectionV3RequiredStatusChecks {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#contexts BranchProtectionV3#contexts}.
     *
     * @stability stable
     */
    readonly contexts?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#include_admins BranchProtectionV3#include_admins}.
     *
     * @stability stable
     */
    readonly includeAdmins?: boolean | cdktf.IResolvable;
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#strict BranchProtectionV3#strict}.
     *
     * @stability stable
     */
    readonly strict?: boolean | cdktf.IResolvable;
}
/**
 * @stability stable
 */
export declare class BranchProtectionV3RequiredStatusChecksOutputReference extends cdktf.ComplexObject {
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    private _contexts?;
    /**
     * @stability stable
     */
    get contexts(): string[] | undefined;
    /**
     * @stability stable
     */
    set contexts(value: string[] | undefined);
    /**
     * @stability stable
     */
    resetContexts(): void;
    /**
     * @stability stable
     */
    get contextsInput(): string[] | undefined;
    private _includeAdmins?;
    /**
     * @stability stable
     */
    get includeAdmins(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    set includeAdmins(value: boolean | cdktf.IResolvable | undefined);
    /**
     * @stability stable
     */
    resetIncludeAdmins(): void;
    /**
     * @stability stable
     */
    get includeAdminsInput(): boolean | cdktf.IResolvable | undefined;
    private _strict?;
    /**
     * @stability stable
     */
    get strict(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    set strict(value: boolean | cdktf.IResolvable | undefined);
    /**
     * @stability stable
     */
    resetStrict(): void;
    /**
     * @stability stable
     */
    get strictInput(): boolean | cdktf.IResolvable | undefined;
}
/**
 * @stability stable
 */
export interface BranchProtectionV3Restrictions {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#apps BranchProtectionV3#apps}.
     *
     * @stability stable
     */
    readonly apps?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#teams BranchProtectionV3#teams}.
     *
     * @stability stable
     */
    readonly teams?: string[];
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html#users BranchProtectionV3#users}.
     *
     * @stability stable
     */
    readonly users?: string[];
}
/**
 * @stability stable
 */
export declare class BranchProtectionV3RestrictionsOutputReference extends cdktf.ComplexObject {
    /**
     * @param terraformResource The parent resource.
     * @param terraformAttribute The attribute on the parent resource this class is referencing.
     * @param isSingleItem True if this is a block, false if it's a list.
     * @stability stable
     */
    constructor(terraformResource: cdktf.ITerraformResource, terraformAttribute: string, isSingleItem: boolean);
    private _apps?;
    /**
     * @stability stable
     */
    get apps(): string[] | undefined;
    /**
     * @stability stable
     */
    set apps(value: string[] | undefined);
    /**
     * @stability stable
     */
    resetApps(): void;
    /**
     * @stability stable
     */
    get appsInput(): string[] | undefined;
    private _teams?;
    /**
     * @stability stable
     */
    get teams(): string[] | undefined;
    /**
     * @stability stable
     */
    set teams(value: string[] | undefined);
    /**
     * @stability stable
     */
    resetTeams(): void;
    /**
     * @stability stable
     */
    get teamsInput(): string[] | undefined;
    private _users?;
    /**
     * @stability stable
     */
    get users(): string[] | undefined;
    /**
     * @stability stable
     */
    set users(value: string[] | undefined);
    /**
     * @stability stable
     */
    resetUsers(): void;
    /**
     * @stability stable
     */
    get usersInput(): string[] | undefined;
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html github_branch_protection_v3}.
 *
 * @stability stable
 */
export declare class BranchProtectionV3 extends cdktf.TerraformResource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/github/r/branch_protection_v3.html github_branch_protection_v3} Resource.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: BranchProtectionV3Config);
    private _branch?;
    /**
     * @stability stable
     */
    get branch(): string;
    /**
     * @stability stable
     */
    set branch(value: string);
    /**
     * @stability stable
     */
    get branchInput(): string | undefined;
    private _enforceAdmins?;
    /**
     * @stability stable
     */
    get enforceAdmins(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    set enforceAdmins(value: boolean | cdktf.IResolvable | undefined);
    /**
     * @stability stable
     */
    resetEnforceAdmins(): void;
    /**
     * @stability stable
     */
    get enforceAdminsInput(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    get etag(): string;
    /**
     * @stability stable
     */
    get id(): string;
    private _repository?;
    /**
     * @stability stable
     */
    get repository(): string;
    /**
     * @stability stable
     */
    set repository(value: string);
    /**
     * @stability stable
     */
    get repositoryInput(): string | undefined;
    private _requireSignedCommits?;
    /**
     * @stability stable
     */
    get requireSignedCommits(): boolean | cdktf.IResolvable | undefined;
    /**
     * @stability stable
     */
    set requireSignedCommits(value: boolean | cdktf.IResolvable | undefined);
    /**
     * @stability stable
     */
    resetRequireSignedCommits(): void;
    /**
     * @stability stable
     */
    get requireSignedCommitsInput(): boolean | cdktf.IResolvable | undefined;
    private _requiredPullRequestReviews?;
    private __requiredPullRequestReviewsOutput;
    /**
     * @stability stable
     */
    get requiredPullRequestReviews(): BranchProtectionV3RequiredPullRequestReviewsOutputReference;
    /**
     * @stability stable
     */
    putRequiredPullRequestReviews(value: BranchProtectionV3RequiredPullRequestReviews | undefined): void;
    /**
     * @stability stable
     */
    resetRequiredPullRequestReviews(): void;
    /**
     * @stability stable
     */
    get requiredPullRequestReviewsInput(): BranchProtectionV3RequiredPullRequestReviews | undefined;
    private _requiredStatusChecks?;
    private __requiredStatusChecksOutput;
    /**
     * @stability stable
     */
    get requiredStatusChecks(): BranchProtectionV3RequiredStatusChecksOutputReference;
    /**
     * @stability stable
     */
    putRequiredStatusChecks(value: BranchProtectionV3RequiredStatusChecks | undefined): void;
    /**
     * @stability stable
     */
    resetRequiredStatusChecks(): void;
    /**
     * @stability stable
     */
    get requiredStatusChecksInput(): BranchProtectionV3RequiredStatusChecks | undefined;
    private _restrictions?;
    private __restrictionsOutput;
    /**
     * @stability stable
     */
    get restrictions(): BranchProtectionV3RestrictionsOutputReference;
    /**
     * @stability stable
     */
    putRestrictions(value: BranchProtectionV3Restrictions | undefined): void;
    /**
     * @stability stable
     */
    resetRestrictions(): void;
    /**
     * @stability stable
     */
    get restrictionsInput(): BranchProtectionV3Restrictions | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
