import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
 * @stability stable
 */
export interface DataGithubUsersConfig extends cdktf.TerraformMetaArguments {
    /**
     * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/github/d/users.html#usernames DataGithubUsers#usernames}.
     *
     * @stability stable
     */
    readonly usernames: string[];
}
/**
 * Represents a {@link https://www.terraform.io/docs/providers/github/d/users.html github_users}.
 *
 * @stability stable
 */
export declare class DataGithubUsers extends cdktf.TerraformDataSource {
    /**
     * @stability stable
     */
    static readonly tfResourceType: string;
    /**
     * Create a new {@link https://www.terraform.io/docs/providers/github/d/users.html github_users} Data Source.
     *
     * @param scope The scope in which to define this construct.
     * @param id The scoped construct ID.
     * @stability stable
     */
    constructor(scope: Construct, id: string, config: DataGithubUsersConfig);
    /**
     * @stability stable
     */
    get id(): string;
    /**
     * @stability stable
     */
    get logins(): string[];
    /**
     * @stability stable
     */
    get nodeIds(): string[];
    /**
     * @stability stable
     */
    get unknownLogins(): string[];
    private _usernames?;
    /**
     * @stability stable
     */
    get usernames(): string[];
    /**
     * @stability stable
     */
    set usernames(value: string[]);
    /**
     * @stability stable
     */
    get usernamesInput(): string[] | undefined;
    /**
     * @stability stable
     */
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
